## cupt 0.2.3

=== debian/changelog ===
cupt (0.2.3) unstable; urgency=medium

  * Cupt:
    - System:
      - Worker:
        - 'update_release_and_index_data': fixed downloading of non-compressed
          indexes.
        - 'update_release_and_index_data': fixed removing downloaded file after
          uncompressing.
        - 'update_release_and_index_data': remove the downloaded Release.gpg if
          signature verification failed and 'cupt::update::keep-bad-signatures'
          is false (this is the default setting) for the compatibility with APT.
          Thanks to Goswin von Brederlow <goswin-v-b@web.de>.
          (Closes: #533753). Urgency is set to 'medium' because of this fix.
        - 'update_release_and_index_data': download index file even if
          signature download/check failed.
      - Resolvers/Native:
        - Reworked solution rank system.
        - Dropped 'first-good' solution chooser. It can be mimicked by setting
          'max-solution-count' option to 1.
        - Run cleaning auto-installed packages also before resolving, aiming
          to reduce number of solutions resolver should work with.
        - Made "zero" line for actions 400 points less, affecting ordering
          solutions for processing for default 'fair' resolver type. Leads to
          significant (several times) speed-up for some cases. Makes possible
          to obtain at least one solution for some hard queries (like removing
          core system components).
        - Fixed erroneous auto-removing of some dependencies which were brought
          by 'satisfy' query.
    - Download:
      - Manager:
        - Enabled basic HTTPS protocol support.
        - IPC is rewritten using UNIX sockets instead of fifos.
      - Progress:
        - Changed speed-o-meter accuracy to 4 seconds (previous value was
          2 seconds).
      - Methods/Curl:
        - Added basic handling of transitive download errors.
    - Cache:
      - New free subroutine 'verify_signature'.
      - BinaryVersion:
        - [API break] Renamed field 'source_name' to 'source_package_name'.
        - Added a check for hash sums presence. Thanks to
          Goswin von Brederlow <goswin-v-b@web.de>.
        - Added a check for version string presence.
    - Config:
      - Added configuration option 'apt::cache-limit'. Thanks to
        Goswin von Brederlow <goswin-v-b@web.de>. (Closes: #533752)
      - New configuration option 'cupt::update::keep-bad-signatures'.
  * debian/control:
    - Bumped Standards-Version to 3.8.2, no changes needed.
    - Changed Homepage to wiki.debian.org/Cupt.

 -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Sun, 21 Jun 2009 18:42:49 +0300

cupt (0.2.2) unstable; urgency=low

  * Cupt:
    - System:
      - Resolvers/Native:
        - When applying resolve actions, stick packages more aggressively.
      - Worker:
        - 'clean_archives': fixed callback before actual deletion.
        - 'clean_archives': delete only '.deb's.
        - 'clean_archives': fixed error message when deletion failed.
    - Core:
      - Comparing version strings: fixed comparison of versions like 'ab' and
        'ab5'.

 -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Fri, 05 Jun 2009 19:40:19 +0300

cupt (0.2.1) unstable; urgency=low

  * cupt:
    - New 'screenshots' subcommand.
    - New 'clean' subcommand.
    - New 'autoclean' subcommand.
    - Implemented the option '--quiet'.
  * Cupt:
    - System:
      - Worker:
        - New 'clean_archives' method.
        - 'update_release_and_index_data': fixed deleting download progress
          immediately after end of all child processes.
        - 'update_release_and_index_data': don't download Packages/Sources
          when we know they are unchanged by provided hash sums.
      - Resolvers/Native:
        - Fixed dropping solutions by normalized score, not by the original one.
        - Fixed auto-removing of packages which resolver marked to change, but
          in the end they became unneeded anyway.
    - Cache:
      - BinaryVersion:
        - Always set 'source_version_string' field.
    - Config:
      - Added configuration option 'quiet'.
      - New configuration option 'debug::downloader'.
    - Download:
      - Progresses/Console:
        - Don't output progress meter when standard output is not a TTY.
      - Manager:
        - Worker thread: honor 'debug::downloader' configuration option.
        - Worker thread: fixed stucking in some complex conditions.

 -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Tue, 02 Jun 2009 11:34:28 +0300

cupt (0.2.0) unstable; urgency=low

  * cupt:
    - New 'update' subcommand.
  * doc/cupt.1.pod:
    - Mentioned how to set list configuration option.
  * doc/cupt_howto.7.pod:
    - Added.
  * Cupt:
    - System:
      - Resolver*:
        - Merged an infrastructure to allow multiple resolvers to co-exist in
          future.
      - Worker:
        - [API break] 'do_actions' renamed to 'change_system'.
        - New method 'update_release_and_index_data'.
        - Honor 'dpkg::options' option.
    - Download:
      - Manager:
        - Worker thread: handle duplicated download requests that come when
          the original download request is not yet completed. This use case is
          possible 'update' action.
        - Worker thread: handle concurrent request of the same URI properly.
        - Worker thread: pass correct URI to download progress in case of
          ACKed download.
        - 'download' method: switched to modern interface of File::Temp,
          getting rid of compatibility one.
        - 'download' method: use POSIX::mkfifo instead of calling 'mkfifo'
          program.
        - 'download' method: return final download result back to worker
          thread only if this was requested.
        - New forwarding methods 'set_long_alias_for_uri' and
          'set_short_alias_for_uri'.
    - Cache:
      - 'get_pin' method: divided into 'get_original_apt_pin' and 'get_pin'
        methods.

