=== debian/control ===
Source: cupt
Section: perl
Priority: optional
Build-Depends: debhelper (>= 7)
Build-Depends-Indep: perl (>= 5.10.0), liburi-perl, libparse-recdescent-perl,
  libwww-curl-perl (>= 4.05)
Maintainer: Eugene V. Lyubimkin <jackyf.devel@gmail.com>
DM-Upload-Allowed: yes
Homepage: http://wiki.debian.org/Cupt
Standards-Version: 3.8.2

Package: libcupt-perl
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, perl (>= 5.10.0), liburi-perl,
  libwww-curl-perl (>= 4.05), libgraph-perl, libterm-size-perl,
  libparse-recdescent-perl, libdigest-sha-perl
Recommends: liblocale-gettext-perl, bzip2
Suggests: cupt, lzma
Description: alternative front-end for dpkg -- Perl modules
 This is a set of Cupt Perl modules implementing front-end to dpkg.
 .
 Provides:
  - parsing and manipulating configuration info;
  - parsing indexes metadata info;
  - version strings comparison;
  - inspection of the binary package' versions;
  - parsing and querying info about installed packages;
  - parsing and working with relations and relation expressions;
  - download manager and downloaders for some schemes;
  - problem resolver;
  - worker for modifying system state.
 .
 See also description of 'cupt' package for more information.

Package: cupt
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, libcupt-perl (>= ${binary:Version})
Description: alternative front-end for dpkg -- console interface
 This package provides a console interface to Cupt library, which is a
 re-implementation of libapt-pkg C++ library using Perl. The aim is to produce
 more strict, more robust, less buggy front-end than APT.
 .
 Cupt uses the same APT infrastructure, e.g. index files, deb cache archive
 files, configuration files. It understands some of widely used APT options.
 .
 Some features:
  - strict full-case resolver;
  - resolver reasons tracking;
  - command-line and APT-like option name checker;
  - case-sensitive search;
  - pinning by source package name;
  - pinning by package groups using shell-like patterns;
  - configurable 'depends' and 'rdepends' subcommands;
  - 'satisfy' subcommand;
  - support of LZMA-compressed indexes.
 .
 Its interface is mostly like apt-get/aptitude console interface.
