=== debian/rules ===
#!/usr/bin/make -f

ifndef PERL
	PERL=/usr/bin/perl
endif

build: build-stamp
build-stamp:
	$(PERL) Makefile.PL INSTALLDIRS=vendor
	touch $@

clean:
	dh $@

install: install-stamp
install-stamp: build-stamp
	dh install --before dh_auto_install
	$(MAKE) install PREFIX=$(CURDIR)/debian/libcupt-perl/usr
	# produce additional man pages for cupt
	perl debian/install_pods
	dh install --after dh_auto_install
	touch $@

binary-arch:

binary-indep: install
	dh $@

binary: binary-arch binary-indep

.PHONY: binary binary-arch binary-indep install clean build
