## cupt 1.5.1

=== debian/changelog ===
cupt (1.5.1) unstable; urgency=low

  * Cupt:
    - System:
      - Worker:
        - 'change_system': perform download stage after determining dpkg call
          sequence.
        - Fixed the stupid long-standing bug with forgetting some action
          dependencies for relation expressions which involve several binary
          packages. Thanks to James Vega for spotting it. (Closes: #564724)
      - Resolvers/Native:
        - Significantly increased the penalty for removing installed packages.
        - Optimize building solution tree in case of actions that resolve
          conflicts with multiple packages that provide the same virtual
          package.
    - Config:
      - Added the 'aptlistbugs::*' option family. Thanks to Ryan Niebur.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Tue, 12 Jan 2010 14:02:06 +0200

cupt (1.5.0) unstable; urgency=low

  * cupt:
    - 'dist-upgrade': start completely new process in the second stage to fix
      the possible undefined behavior when libcupt-perl got upgrade in the
      first stage with the API changes.
    - 'depends': in recurse mode pick up only one new version for the relation
      expression by default, specify '--all-versions' to override.
  * Cupt:
    - Config:
      - New option family 'cupt::downloader::protocols::*::priority'.
      - New option family 'cupt::downloader::protocols::*::methods'.
      - New option family
        'cupt::downloader::protocols::*::methods::*::priority'.
    - Download:
      - Manager:
        - Sort URIs for the file by priorities.
      - Method:
        - Implemented choosing a method with maximum priority between several
          available ones.
    - System:
      - Resolvers/Native:
        - Adjusted calculating action weights so installing new version
          outweights non-upgrading another package in most cases, even
          automatically installed one. Thanks to James Vega. (Closes: #562797)
  * scripts/bash_completion:
    - Implemented bash completion for cupt program.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sat, 02 Jan 2010 18:03:45 +0200

cupt (1.4.0) unstable; urgency=low

  * Cupt:
    - System:
      - Worker:
        - 'get_unpacked_sizes_preview': fixed a crash when purging the package
          in 'config-files' state but which has installation candidates.
          Thanks to Cyril Brulebois. (Closes: #559340)
      - Resolvers/Native:
        - Fixed the bug when soft dependencies were automatically removed in
          the start of resolving because of disappear of the parent packages
          and then weren't considered to keeping when other parent packages
          hierarchy declared a soft dependency on the package.
        - Apply 'automatically installed' penalty score to all versions of
          automatically installed packages, not only installed one.
        - Don't perform inner auto-removal before of main resolver cycles.
      - Resolvers/External:
        - Request: lowercased all fields.
        - Request: pass '>>' as '>' and '<<' as '<' in relation expressions.
        - Request: added the preable with a 'pin-priority' property
          declaration.
        - Request: 'problem' stanza is renamed to 'request'.
    - Download:
      - Methods/Debdelta:
        - Suppress standard output from debpatch.
    - Config:
      - [API break] 'set_regular_var': renamed to 'set_scalar'.
      - [API break] 'set_list_var': renamed to 'set_list'.
      - [API break] 'var': replaced by new methods 'get_string', 'get_number'
        and 'get_bool'.
    - Core:
      - Moved INIT block out to 'cupt' front-end.
    - Cache:
      - 'verify_signature': use gpgv, not gpg for checking.
      - BinaryVersion:
        - Fallback to 0 if the installed size is not defined. Thanks to
          Jean-Christophe Dubacq <jcdubacq1@free.fr>. (Closes: #560160)
  * debian/control:
    - Added the package 'gpgv' to Recommends of the 'libcupt-perl' package.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Tue, 15 Dec 2009 13:58:38 +0200

cupt (1.3.1) unstable; urgency=low

  * Cupt:
    - Config:
      - Added the option 'APT::Never-MarkAuto-Sections'.
      - Added the option family 'Aptitude::*'.
    - Cache:
      - 'verify_hash_sums': fixed the crash regression since 1.3.0. Thanks to
        Cyril Brulebois. (Closes: #557177)
    - Graph/TransitiveClosure:
      - Fixed calculating vertexes reachability for paths with length more
        than 2.
    - Worker:
      - While splitting heterogeneous actions, pay the first attention to
        action dependencies which are originated from 'Conflicts'. No longer
        pass '--force-conflicts' to dpkg. Thanks to James Vega.
        (Closes: #556650)
      - Mark the 'remove' subactions of upgrade/downgrade actions as fake.
      - Subsequently, don't try to "eat" some action dependencies anymore.
      - Don't merge unpack and configure subactions.
      - While splitting heterogeneous actions, ignore (after setting up
        '--force-breaks' and '--force-depends') reverse dependencies'
        breakages.
      - Allow circular dependencies between only 'configure' subactions, give
        up with an error on other ones.
      - Pass '--force-bad-path' to work around dpkg bug #558151.
    - Download:
      - Progresses/Console:
        - Fixed a divide-by-zero crash with zero-sized files. Thanks to
          James Vega. (Closes: #557661)

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Mon, 30 Nov 2009 15:23:28 +0200

cupt (1.3.0) unstable; urgency=low

  * cupt:
    - 'rdepends': memoize parsed versions.
    - Management actions:
      - Support '@<file>' syntax for reading arguments from files. The idea of
        the patch by Jean-Christophe Dubacq. (Closes: #554356)
    - Don't crash when run with no parameters (once again). Thanks to
      Didier Raboud. (Closes: #547952)
  * Cupt:
    - Cache:
      - 'get_satisfying_versions': don't sort result.
      - 'get_sorted_pinned_versions': removed ability to memoize it.

