=== debian/control ===
--- 
+++ 
@@ -1,21 +1,24 @@
 Source: cupt
 Section: perl
 Priority: optional
-Build-Depends: debhelper (>= 7)
+Build-Depends: debhelper (>= 7.0.50)
 Build-Depends-Indep: perl (>= 5.10.0), liburi-perl, libparse-recdescent-perl,
-  libwww-curl-perl (>= 4.05)
-Maintainer: Eugene V. Lyubimkin <jackyf.devel@gmail.com>
-DM-Upload-Allowed: yes
+  libwww-curl-perl (>= 4.05), liblist-moreutils-perl (>= 0.23)
+Maintainer: Eugene V. Lyubimkin <jackyf@debian.org>
 Homepage: http://wiki.debian.org/Cupt
-Standards-Version: 3.8.2
+Standards-Version: 3.8.3
+Vcs-Git: git://github.com/jackyf/cupt.git
+Vcs-Browser: http://github.com/jackyf/cupt/tree/master
 
 Package: libcupt-perl
 Architecture: all
 Depends: ${misc:Depends}, ${perl:Depends}, perl (>= 5.10.0), liburi-perl,
-  libwww-curl-perl (>= 4.05), libgraph-perl, libterm-size-perl,
-  libparse-recdescent-perl, libdigest-sha-perl
-Recommends: liblocale-gettext-perl, bzip2
-Suggests: cupt, lzma
+  libwww-curl-perl (>= 4.05), libterm-size-perl,
+  libparse-recdescent-perl, libdigest-sha-perl,
+  liblist-moreutils-perl (>= 0.23)
+Breaks: debdelta (<< 0.31)
+Recommends: liblocale-gettext-perl, bzip2, gpgv
+Suggests: cupt, lzma, debdelta (>= 0.31), dpkg-dev, dpkg-repack
 Description: alternative front-end for dpkg -- Perl modules
  This is a set of Cupt Perl modules implementing front-end to dpkg.
  .
@@ -34,7 +37,11 @@
 
 Package: cupt
 Architecture: all
-Depends: ${misc:Depends}, ${perl:Depends}, libcupt-perl (>= ${binary:Version})
+Depends: ${misc:Depends}, ${perl:Depends},
+ libcupt-perl (>= ${libcupt-perl:current}),
+ libcupt-perl (<< ${libcupt-perl:next}),
+ sensible-utils
+Suggests: libterm-readline-gnu-perl
 Description: alternative front-end for dpkg -- console interface
  This package provides a console interface to Cupt library, which is a
  re-implementation of libapt-pkg C++ library using Perl. The aim is to produce
@@ -52,6 +59,11 @@
   - pinning by package groups using shell-like patterns;
   - configurable 'depends' and 'rdepends' subcommands;
   - 'satisfy' subcommand;
-  - support of LZMA-compressed indexes.
+  - support of LZMA-compressed indexes;
+  - source versions synchronization;
+  - 'shell' subcommand (to get command history, search etc. working, install
+    the package 'libterm-readline-gnu-perl');
+  - integration with debdelta (to get it, install the package 'debdelta');
+  - system snapshots (needs packages 'dpkg-dev' and 'dpkg-repack').
  .
  Its interface is mostly like apt-get/aptitude console interface.
