## cupt 1.5.13

=== debian/changelog ===
cupt (1.5.13) unstable; urgency=low

  * Cupt:
    - Cache:
      - Reading APT preferences: handle multiple package names, separated by
        spaces, correctly. Thanks to Julian Andres Klode for the report.
        (Closes: #585017)
    - System:
      - Worker:
        - Fixed passing version comparison result for pre-install hooks of
          version 2 in case of removals, re-installs and downgrades.
        - In case of circular actions error, suggest to add failed packages
          to 'cupt::worker::allow-indirect-upgrade' option.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Mon, 14 Jun 2010 21:45:29 +0300

cupt (1.5.12) unstable; urgency=low

  * Cupt:
    - System:
      - Worker:
        - Ignore Replaces when building new dependency edge because of
          Conlifcts. Dpkg purposedly violates the §7.6.2 of Debian policy.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sun, 23 May 2010 16:43:41 +0300

cupt (1.5.11) unstable; urgency=low

  * Cupt:
    - Cache:
      - Parsing preferences: silently ignore files in preferences directory
        that don't conform to apt_preferences(5). Thanks to Eduard Bloch.
        (Closes: #578681)

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sun, 02 May 2010 19:57:11 +0300

cupt (1.5.10) unstable; urgency=low

  * cupt
    - 'why': if received only one argument, assume --installed-only.
      Thanks to James Vega for spotting. (Closes: #577646)
    - 'show': add '(on hold)' to the 'Status' line if the package is on hold.
  * Cupt:
    - Download:
      - Manager:
        - Use ITIMER_VIRTUAL instead of ITIMER_REAL for ping signals.
        - Use dedicated pipe in ping signal handler. I believe, it
          Closes: #554620. Many thanks to James Vega.
    - Cache:
      - 'verify_signature': rewrote error handling, added missing input
        checks.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sun, 18 Apr 2010 11:02:47 +0300

cupt (1.5.9) unstable; urgency=low

  * cupt:
    - help:
      - Clarified that 'safe-upgrade' command can remove automatically
        installed packages. Thanks to intrigeri@boum.org. (Closes: #575702)
    - Action preview prompt:
      - Display a warning in case of packages on hold to be modified.
  * Cupt:
    - Cache:
      - 'get_pin': obey version holds by default by honoring new
        'cupt::cache::obey-hold' option. Thanks to intrigeri@boum.org.
        (Closes: #575704)
      - Package:
        - Don't check binary architecture for installed packages. Thanks to
          Julian Andres Klode for the report. (Closes: #574819)
    - Config:
      - ISCConfigParser:
        - Allow '.' character in option names. Thanks to intrigeri@boum.org.
          (Closes: #575715)
      - Recognize 'apt::get::build-dep-automatic' option.
      - New 'cupt::cache::obey-hold' option.
    - System:
      - Worker:
        - Set the process umask to 022. Thanks to intrigeri@boum.org.
          (Closes: #575700)
    - Download:
      - Method:
        - 'get_acquire_suboption_for_uri': setting
          'acquire::<protocol>::[<host::]proxy' to "DIRECT" to disable it
          is now supported too.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sat, 03 Apr 2010 17:56:29 +0300

cupt (1.5.8) unstable; urgency=low

  * Cupt:
    - Cache:
      - Fixed potential crash if some chunk in the index file doesn't contain
        valid Package line.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sat, 20 Mar 2010 15:57:19 +0200

cupt (1.5.7) unstable; urgency=low

  * Cupt:
    - Config:
      - Added packages 'openoffice.org-common', 'openoffice.org-java-common',
        'openoffice.org-writer2latex' to the list of packages which are to be
        upgraded indirectly. Thanks to Michael Stapelberg. (Closes: #573038)
  * debian/control:
    - Bumped Standards-Version to 3.8.4, no changes needed.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sat, 13 Mar 2010 09:37:37 +0200

cupt (1.5.6) unstable; urgency=low

  * Cupt:
    - Cache:
      - 'verify_signature': detect 'no public key' error from gpgv and display
        better error message in this case.
      - 'verify_signature': don't throw fatal error on unexpected messages
        from gpgv. Thanks to Jean-Christophe Dubacq for the report.
        (Closes: #570196)
      - 'verify_signature': recognize 'KEYEXPIRED' gpgv message in addition to
        'EXPSIG' and 'EXPKEYSIG' ones.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sat, 20 Feb 2010 15:17:10 +0200

cupt (1.5.5) unstable; urgency=medium

  * Cupt:
    - Cache:
      - Parsing extended states: fixed exiting with error on empty file
        (a regression since 1.5.4). Fixes FTBFS. (Closes: #569387).
        Urgency is set to 'medium' because of this fix.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Thu, 11 Feb 2010 22:04:16 +0200

cupt (1.5.4) unstable; urgency=low

  * Cupt:
    - Cache:
      - Parsing extended states: don't choke on unexpected fields.
    - System:
      - Worker:
        - Scheduling dpkg call sequence: fixed the false positive of
          'unable to schedule circular actions: unpack ..., unpack...' error
          in cases when specified Replaces are enough to "beat" mutual
          conflicts problem.
    - Config:
      - Added the package 'openoffice.org-core' to the list of packages which
        are to be upgraded indirectly.
      - Added the option family 'DSelect::*'. (Closes: #568706)

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Mon, 08 Feb 2010 20:36:18 +0200

cupt (1.5.3) unstable; urgency=low

  * Cupt:
    - Download:
      - Manager:
        - Fixed crash when downloading URIs containing mangled symbols in
          debug mode.
    - Cache:
      - When parsing source lists, don't crash if a source line contains only
        one or two words.
    - Config:
      - get_list: return an empty list, not a list of one undefined entry in
        case of non-defined optional option.
    - Worker:
      - Fixed calculating dependencies for 'remove' subactions of upgrade

