=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
   libwww-curl-perl (>= 4.05), liblist-moreutils-perl (>= 0.23)
 Maintainer: Eugene V. Lyubimkin <jackyf@debian.org>
 Homepage: http://wiki.debian.org/Cupt
-Standards-Version: 3.8.3
+Standards-Version: 3.8.4
 Vcs-Git: git://github.com/jackyf/cupt.git
 Vcs-Browser: http://github.com/jackyf/cupt/tree/master
