## cupt 1.5.14.1

=== debian/changelog ===
cupt (1.5.14.1) unstable; urgency=low

  * Cupt:
    - Config:
      - Fixed ignoring 'APT::Never-MarkAuto-Sections' option.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sat, 25 Sep 2010 22:17:33 +0300

cupt (1.5.14) unstable; urgency=low

  * doc:
    - cupt_vs_apt:
      - Documented not handling the difference between 'specific' and
        'general' APT pin types. (Closes: #586347)
  * Cupt:
    - Cache:
      - ArchitecturedRelation:
        - Implemented architecture wildcards support. (Closes: #587354)
  * debian/control:
    - Bumped Standards-Version to 3.9.0, no changes needed.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Thu, 08 Jul 2010 21:20:35 +0300
