## cupt 2.0.1

=== debian/changelog ===
cupt (2.0.1) unstable; urgency=low

  * lib:
    - download/manager:
      - Give a warning instead of an error on the systems where the socket
        option SO_RCVTIMEO is not supported. Thanks to Jonathan Nieder for
        the analysis.
    - [Jonathan Nieder] Don't check for WIFCONTINUED. (Closes: #623159)
  * debian:
    - control:
      - Fixed typo 'arternative' in some short descriptions.
  * doc:
    - reference:
      - Hide 'CUPT_API' macro in declarations.
      - Hide 'CUPT_*' macro definitions.
    - tutorial:
      - Documented repository cache layout incompatibility with recent
        versions of APT.
      - Documented a tuning of resolver's maximum solution count.
      - Documented package archives cleaning.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Mon, 25 Apr 2011 12:15:20 +0300

cupt (2.0.0) unstable; urgency=low

  * Upload to unstable.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sat, 16 Apr 2011 12:48:44 +0300

cupt (2.0.0~rc2) experimental; urgency=medium

  * lib:
    - Make sure that std::min() receives arguments of the same type.
      Fixes FTBFS on some architectures. (Closes: #622061)
    - download/uri:
      - 'getHost': fixed to not include a port to the answer. Thanks to
        Julian Andres Klode for the report. The regression was introduced
        in 2.0.0~alpha1. (Closes: #621853)
      - 'getHost': fixed to not include credentials to the answer.
        The regression was introduced in 2.0.0~alpha1.
    - system/resolvers/native:
      - Fixed applying penalty on removing essential packages even if proposed
        version is not essential anymore.
      - Made the penalty on removing essential packages not pin-dependent and
        much bigger.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Tue, 12 Apr 2011 19:46:59 +0300

cupt (2.0.0~rc1) experimental; urgency=low

  * console:
    - Action preview prompt:
      - Allow specifying several package expressions under 'a' choice before
        re-running a resolver.
    - 'dist-upgrade':
      - [Jonathan Nieder] Pre-upgrade 'cupt' package first, not
        'cupt-experimental'. Fixes a regression introduced in 2.0.0~beta2.
    - 'help':
      - Removed the temporary message that 'snapshot' subcommand is not
        implemented, it's implemented since 2.0.0~alpha3.
    - 'config-dump':
      - Print empty value list first for all list options.
    - Added '--as-needed' to link flags.
  * lib:
    - Always set 'close-on-exec' flag for internal pipes.
    - system/resolvers/native:
      - Fixed an algorithmic bug in calculating error trees when no solutions
        are found, which might lead to incorrect trees sometimes.
      - Output a warning about no effect when 'apt::install-<X>' option is set
        but 'cupt::resolver::keep-<X>' option is unset.
      - Fixed an endless loop when calculating error trees in some rare cases.
      - Consider all binary builds (not only selected one) of some source
        package version to be already synchronized with any binary build of
        the related package. Fixes a bug which was present since an initial
        implementation of synchronizing source versions.
      - Changed scoring system once again, to overcome some design bugs in
        previous one.
      - Try to make backtracking more effective by processing "derived"
        problems closer to their "parents".
    - file:
       - Always set 'close-on-exec' flag for opened file descriptors.
    - config:
      - Recognize 'acquire::cdrom::*' variables.
      - The option is 'cupt::cache::obey-hold' is renamed to
        'cupt::cache::pin::addendums::hold'.
      - New option 'cupt::cache::pin::addendums::not-automatic'.
      - The option group 'cupt::resolver::tune-score::*' is renamed to
        'cupt::resolver::score::*'.
      - Deleted the option 'cupt::resolver::quality-bar', it's superseded by
        the option 'cupt::resolver::score::quality-adjustment'.
      - New option 'cupt::cache::pin::addendums::downgrade'.
      - The option 'cupt::resolver::synchronize-source-versions' is renamed
        to 'cupt::resolver::synchronize-by-source-versions'.
    - download/manager:
      - Pass the right pointer to setitimer() when disabling SIGALRM. Thanks
        to Jonathan Nieder for the report. (Closes: #619727)
      - Fixed undefined behavior in handling duplicated downloads.
        Fixes a regression introduced in 2.0.0~alpha1.
    - cache:
      - Apply an additional pin priority penalty for not automatic releases.
    - Set of close-on-exec flag changes above Closes: #619650. Thanks to
      Jonathan Nieder for the report and an initial patch set.
    - Non-API symbols are not exported anymore.
  * doc:
    - reference:
      - Removed protected members of cupt::cache::Package and its subclasses
        from the documentation, they exist for internal usage only.
    - tutorial:
      - Created.
  * scripts:
    - bash_completion:
      - Complete 'cupt', not 'cupt-experimental'. Fixes a regression
        introduced in 2.0.0~beta2.
      - Pre-filter package names using 'cupt pkgnames <start>', it's faster
        than supplying a full list to compgen.
      - Remove arguments completion for 'config-dump' subcommand, it does not
        accept arguments since 2.0.0~alpha1.
      - Complete also option names after '--option' and '-o'.
  * downloadmethods:
    - Added '--as-needed' to link flags.
  * debian:
    - control:
      - Build-depend on 'txt2tags'.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sat, 09 Apr 2011 18:28:51 +0300

cupt (2.0.0~beta2) experimental; urgency=low

  * console:
    - Action preview prompt: support 'ProcessTriggers' action.
    - New experimental subcommand 'tar-metadata'.
    - 'showsrc':
      - Output also Uploaders when not empty. Fixes a regression introduced
        in 2.0.0~alpha1.
    - When selecting a version by archive/codename, throw an error if more
      than one matching version is found.
  * lib:
    - cache/binaryversion:

