=== debian/control ===
Source: cupt
Section: admin
Priority: optional
Build-Depends: debhelper (>= 7.0.50), g++-4.5, libboost-program-options1.42-dev,
  libboost1.42-dev, libreadline6-dev, chrpath, libcurl4-gnutls-dev (>= 7.19.4),
  cmake (>= 2.6), doxygen, libgcrypt11-dev, txt2tags
Maintainer: Eugene V. Lyubimkin <jackyf@debian.org>
Homepage: http://wiki.debian.org/Cupt
Standards-Version: 3.9.1
Vcs-Git: git://github.com/jackyf/cupt.git
Vcs-Browser: https://github.com/jackyf/cupt/tree/develop

Package: libcupt2-0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libcupt2-0-experimental
Breaks: debdelta (<< 0.31)
Recommends: libcupt2-0-downloadmethod-curl | libcupt2-0-downloadmethod-wget, bzip2, gpgv
Suggests: cupt, lzma, debdelta (>= 0.31), dpkg-dev, dpkg-repack
Description: alternative front-end for dpkg -- runtime library
 This is a Cupt library implementing front-end to dpkg.
 .
 Provides:
  - parsing and manipulating configuration info;
  - parsing indexes metadata info;
  - version strings comparison;
  - inspection of the binary and source package' versions;
  - parsing and querying info about installed packages;
  - parsing and working with relations and relation expressions;
  - download manager and downloaders for some schemes;
  - problem resolver;
  - worker for modifying system state.
 .
 See also description of 'cupt' package for more information.

Package: libcupt2-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libcupt2-0 (= ${binary:Version})
Conflicts: libcupt2-dev-experimental
Suggests: libcupt2-doc
Description: alternative front-end for dpkg -- development files
 This package provides headers for Cupt library.
 .
 See also description of libcupt2-0 package.

Package: libcupt2-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: alternative front-end for dpkg -- library documentation
 This package provides documentation for Cupt library.
 .
 See also description of libcupt2-0 package.

Package: cupt
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libcupt2-0 (>= ${binary:Version})
Suggests: sensible-utils, libreadline6
Description: alternative front-end for dpkg -- console interface
 This package provides a console interface to Cupt library, which is a
 re-implementation of libapt-pkg C++ library. The aim is to produce
 more strict, more robust, less buggy front-end than APT.
 .
 Cupt uses the same APT infrastructure, e.g. index files, deb cache archive
 files, configuration files. It understands some of widely used APT options.
 .
 Some features:
  - strict full-case resolver;
  - resolver reasons tracking;
  - command-line and APT-like option name checker;
  - case-sensitive search;
  - pinning by source package name;
  - pinning by package groups using shell-like patterns;
  - configurable 'depends' and 'rdepends' subcommands;
  - 'satisfy' subcommand;
  - support of LZMA-compressed indexes;
  - source versions synchronization;
  - 'shell' subcommand (to get command history, search etc. working, install
    the package 'libreadline6');
  - integration with debdelta (to get it, install the package 'debdelta');
  - system snapshots (needs packages 'dpkg-dev' and 'dpkg-repack').
 .
 Its interface is mostly like apt-get/aptitude console interface.

Package: libcupt2-0-downloadmethod-curl
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: alternative front-end for dpkg -- libcurl download method
 This package provides http(s) and ftp download handlers for Cupt library
 using libcurl.
 .
 See also description of libcupt2-0 package.

Package: libcupt2-0-downloadmethod-wget
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, wget
Description: alternative front-end for dpkg -- wget download method
 This package provides http(s) and ftp download handlers for Cupt library
 using wget.
 .
 See also description of libcupt2-0 package.
