=== debian/rules ===
#!/usr/bin/make -f

PERL ?= /usr/bin/perl

override_dh_auto_configure:
	cmake -DLOCAL:bool=OFF -DCMAKE_INSTALL_PREFIX=$(CURDIR)/debian/tmp/usr -DOPTIMIZE=2 ./

override_dh_auto_install:
	$(MAKE) install
	chrpath --delete $(CURDIR)/debian/tmp/usr/bin/cupt
	# produce additional man pages for cupt
	$(PERL) debian/install_pods
	install -m644 scripts/bash_completion $(CURDIR)/debian/cupt/etc/bash_completion.d/cupt

%:
	dh $@
