=== debian/changelog ===
cupt (2.0.2) unstable; urgency=low

  * lib:
    - download/methodfactory:
      - Don't try to unload a module twice if it was loaded successfully but
        no needed symbols were found.
    - download/uri:
      - Correctly handle URIs with tree slashes, such as 'file:///...'.
  * downloadmethods:
    - file:
      - Implemented. Fixes a regression since 2.0.0~alpha1. (Closes: #624216)
  * doc:
    - reference:
      - 'File::getBlock': documented an output value of the 'size' parameter.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sat, 30 Apr 2011 14:31:22 +0300
